Skip to navigation

Update Customer Attribute

Updates a Customer Attribute. Multiple customer attributes can be updated in one call.

Required Fields

  • id — ID of the Customer Attribute

Once the data type is set, it can not be changed. The attribute will need to be deleted then created again with the new data type. This will also delete it from the customer.

Limits

  • Limit of 3 concurrent requests.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Customersmodifystore_v2_customers
Customersread-onlystore_v2_customers_read_only
Stored Payment Instrumentsmodifystore_stored_payment_instruments
Stored Payment Instrumentsread-onlystore_stored_payment_instruments_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringOptionalDefaults to application/json

The MIME type of the response body that the client accepts. Typically application/json.

Request

This endpoint expects a list of objects.
namestringRequired1-255 characters
Attribute name.
idintegerRequired
Attribute ID.

Response

A list of customer attributes.
datalist of objectsOptional
metaobjectOptional
Response metadata.

Errors

422
Unprocessable Entity Error